import { getGames } from "@/lib/igdb";
import { NextRequest, NextResponse } from "next/server";

export async function GET(req: NextRequest) {
    const p = req.nextUrl.searchParams;
    try {
        const page = parseInt(p.get('page') as string)
        const search = p.get('search')

        const games = await getGames(page, search ? search : '');
        return NextResponse.json(games);
    } catch (error) {
        return NextResponse.json(error, { status: 500 });
    }
}